%define module	pytools

Summary:	A collection of tools for Python
Name:		python-%{module}
Version:	2015.1.2
Release:	%mkrel 3
Source0:	https://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.gz
License:	MIT
Group:		Development/Python
Url:		http://pypi.python.org/pypi/%{module}
BuildArch:	noarch
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pkgconfig(python)
BuildRequires:	pythonegg(2)(six)

%rename python-tools

%description
Pytools is a big bag of things that are "missing" from the Python
standard library. This is mainly a dependency of my other software
packages, and is probably of little interest to you unless you use
those. If you're curious nonetheless, here's what's on offer:

* A ton of small tool functions such as len_iterable, argmin, tuple
  generation, permutation generation, ASCII table pretty printing,
  GvR's mokeypatch_xxx() hack, the elusive flatten, and much more.
* Michele Simionato's decorator module.
* A time-series logging module, pytools.log.
* Batch job submission, pytools.batchjob.
* A lexer, pytools.lex.

%package -n python3-%{module} 
Summary:	A collection of tools for Python 3
Group:		Development/Python
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(six)

%description -n python3-%{module} 
Pytools is a big bag of things that are "missing" from the Python 3
standard library. This is mainly a dependency of my other software
packages, and is probably of little interest to you unless you use
those. If you're curious nonetheless, here's what's on offer:

* A ton of small tool functions such as len_iterable, argmin, tuple
  generation, permutation generation, ASCII table pretty printing,
  GvR's mokeypatch_xxx() hack, the elusive flatten, and much more.
* Michele Simionato's decorator module.
* A time-series logging module, pytools.log.
* Batch job submission, pytools.batchjob.
* A lexer, pytools.lex.

%prep
%setup -q -n %{module}-%{version}
cp -a . %{py3dir}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc README PKG-INFO
%{python2_sitelib}/*

%files -n python3-%{module} 
%doc README PKG-INFO
%{python3_sitelib}/*


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 2015.1.2-3.mga6
+ Revision: 970713
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 2015.1.2-2.mga6
+ Revision: 887628
- rebuild for python 3.5

* Sat Sep 26 2015 philippem <philippem> 2015.1.2-1.mga6
+ Revision: 883912
- fix url
- update to 2015.1.2

* Wed Oct 15 2014 umeabot <umeabot> 2013.5.7-5.mga5
+ Revision: 741856
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2013.5.7-4.mga5
+ Revision: 726914
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2013.5.7-3.mga5
+ Revision: 688286
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2013.5.7-2.mga5
+ Revision: 628970
- Rebuild for new Python

* Sat Dec 21 2013 philippem <philippem> 2013.5.7-1.mga4
+ Revision: 559454
- Update to 2013.5.7, add Python 3

* Tue Oct 22 2013 umeabot <umeabot> 2013.5.3-4.mga4
+ Revision: 544153
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2013.5.3-3.mga4
+ Revision: 499273
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jul 28 2013 joequant <joequant> 2013.5.3-2.mga4
+ Revision: 459582
- add rename directive to remove python-tools package

* Fri Jul 05 2013 philippem <philippem> 2013.5.3-1.mga4
+ Revision: 450383
- Update to 2013.5.3

* Sun Jan 13 2013 umeabot <umeabot> 2011.4-2.mga3
+ Revision: 379419
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 27 2011 lebedov <lebedov> 2011.4-1.mga2
+ Revision: 149547
- imported package python-pytools

